<?php

/**
 * Osiris functions and definitions
 *
 * For more information on hooks, actions, and filters, @link http://codex.wordpress.org/Plugin_API
 *
* @package Imonthemes
 * @subpackage Osiris
 * @since Osiris 1.5
 */

/*
 * Set up the content width value based on the theme's design.
 *
 */

if ( ! isset( $content_width ) )
	$content_width = 630;

/**
 * Adds support for a custom header image.
 */
require get_template_directory() . '/admin/custom-header.php';

//Load Other CSS files

function osiris_other_css() {
if ( !is_admin() ) {
wp_enqueue_style( 'osiris_other', get_template_directory_uri() . '/css/foundation.css' );

}  }
add_action('wp_enqueue_scripts', 'osiris_other_css');







function osiris_fonts_css() {
if ( !is_admin() ) {
{ ?>
<?php wp_enqueue_style('customfont',get_template_directory_uri().'/fonts/'.$os_fonts = of_get_option('font_select', 'lora','raleway' ).'.css'); }
	}
}
add_action('wp_enqueue_scripts', 'osiris_fonts_css');

//Load Custom CSS
function osiris_customstyle() { ?>
<?php if(of_get_option('sldrtxt_checkbox') == "0"){ ?>
<style type="text/css">
body .nivo-caption {
	display: none!important;
}
</style>
<?php } ?>

<?php if(of_get_option('nivothumb_checkbox') == "0"){ ?>
<style type="text/css">
.nivo-controlNav{ display:block;}
</style>
<?php } ?>
<style type="text/css">
/*Secondary Elements Color*/



.postitle, .postitle a,.postitle2 a, .widgettitle,.widget-title,#searchsubmit, .entry-title a, .widgettitle2, #reply-title, #comments span, .catag_list a, .lay2 h2, .nivo-caption a, .nivo-caption,.entry-title {
color:<?php echo of_get_option('title_colorpicker');
?>!important;
border-color:<?php echo of_get_option('title_colorpicker');
?>!important;
}
#menu_wrap, #copyright, #navmenu ul li ul li,  #today, .menu {
background-color:<?php echo of_get_option('menu_colorpicker');
?>!important;
}


</style>
<?php }

add_action( 'wp_head', 'osiris_customstyle' );



//Load Java Scripts to header
function osiris_head_js() {
if ( !is_admin() ) {
wp_enqueue_script('jquery');
wp_enqueue_script('osiris_js',get_template_directory_uri().'/other2.js');
wp_enqueue_script('osiris_other',get_template_directory_uri().'/js/other.js');



if(of_get_option('slider_select') == "nivo"){ wp_enqueue_script('osiris_nivo',get_template_directory_uri().'/js/jquery.nivo.js');}
if(of_get_option('disslight_checkbox') == "0")
if ( is_singular() ) wp_enqueue_script( 'comment-reply' );
}
}
add_action('wp_enqueue_scripts', 'osiris_head_js');

//Load Java Scripts to Footer
add_action('wp_footer', 'osiris_load_js');

function osiris_load_js() { ?>
<?php if(of_get_option('slider_select') == "nivo"){ ?>
<script type="text/javascript">
    jQuery(window).load(function() {
        jQuery('#nivo').nivoSlider({effect: 'random', pauseTime: <?php echo of_get_option('sliderspeed_text'); ?>,directionNav: false});
    });
    </script>
<?php } ?>
<script>
		$(document).ready(function() {

		    $('.social').hover(
			    function() {
			        $(this).find('.shutter').stop(true, true).animate({
					    bottom: '-36px'
					 },
					 {
					 	duration: 300,
					 	easing: 'easeOutBounce'
					 });
			    },
			    function () {
				    $(this).find('.shutter').stop(true, true).animate({
					    bottom: 0
					 },
					 {
					 	duration: 300,
					 	easing: 'easeOutBounce'
					 });
				}
		    );

		});
	</script>
<script type="text/javascript">
	/* <![CDATA[ */
		jQuery().ready(function() {

	jQuery('#navmenu').prepend('<div id="menu-icon"><?php _e('Menu', 'osiris') ?></div>');
	jQuery("#menu-icon").on("click", function(){
		jQuery("#navmenu .menu").slideToggle();
		jQuery(this).toggleClass("menu_active");
	});

		});
	/* ]]> */
	</script>
<?php }






/* osiris welcome text */








//osiris get the first image of the post Function
function osiris_get_images($overrides = '', $exclude_thumbnail = false)
{
    return get_posts(wp_parse_args($overrides, array(
        'numberposts' => -1,
        'post_parent' => get_the_ID(),
        'post_type' => 'attachment',
        'post_mime_type' => 'image',
        'order' => 'ASC',
        'exclude' => $exclude_thumbnail ? array(get_post_thumbnail_id()) : array(),
        'orderby' => 'menu_order ID'
    )));
}




//ADD FULL WIDTH BODY CLASS
add_filter( 'body_class', 'osiris_fullwdth_body_class');
function osiris_fullwdth_body_class( $classes ) {
     if(of_get_option('nosidebar_checkbox') == "1")
          $classes[] = 'osiris_fullwdth_body';
     return $classes;
}

//Custom Excerpt Length
function osiris_excerptlength_teaser($length) {
    return 30;
}
function osiris_excerptlength_index($length) {
    return 12;
}
function osiris_excerptmore($more) {
    return '...';
}

function osiris_excerpt($length_callback='', $more_callback='') {
    global $post;
    if(function_exists($length_callback)){
        add_filter('excerpt_length', $length_callback);
    }
    if(function_exists($more_callback)){
        add_filter('excerpt_more', $more_callback);
    }
    $output = get_the_excerpt();
    $output = apply_filters('wptexturize', $output);
    $output = apply_filters('convert_chars', $output);
    $output = '<p>'.$output.'</p>';
    echo $output;
}


/*-----------------------------------------------------------------------------------*/
/* Display <title> tag
/*-----------------------------------------------------------------------------------*/

// filter function for wp_title
function osiris_filter_wp_title( $old_title, $sep, $sep_location ){

    // add padding to the sep
    $ssep = ' ' . $sep . ' ';

    // find the type of index page this is
    if( is_category() ) $insert = $ssep . __('Category','osiris');
    elseif( is_tag() ) $insert = $ssep . __('Tag','osiris');
    elseif( is_author() ) $insert = $ssep . __('Author','osiris');
    elseif( is_year() || is_month() || is_day() ) $insert = $ssep . __('Archives','osiris');
    elseif( is_home() ) $insert = $ssep . get_bloginfo('description');
    else $insert = NULL;

    // get the page number we're on (index)
    if( get_query_var( 'paged' ) )
    $num = $ssep . __('Page ','osiris') . get_query_var( 'paged' );

    // get the page number we're on (multipage post)
    elseif( get_query_var( 'page' ) )
    $num = $ssep . __('Page ','osiris') . get_query_var( 'page' );

    // else
    else $num = NULL;


    // concoct and return new title
    return get_bloginfo( 'name' ) . $insert . $old_title . $num;
}

add_filter( 'wp_title', 'osiris_filter_wp_title', 10, 3 );

function osiris_rss_title($title) {
    /* need to fix our add a | blog name to wp_title */
    $ft = str_replace(' | ','',$title);
    return str_replace(get_bloginfo('name'),'',$ft);
}
add_filter('get_wp_title_rss', 'osiris_rss_title',10,1);








//SIDEBAR
function osiris_widgets_init(){
	register_sidebar(array(
	'name'          => __('Right Sidebar', 'osiris'),
	'id'            => 'sidebar',
	'description'   => __('Right Sidebar', 'osiris'),
	'before_widget' => '<div id="%1$s" class="widget %2$s"><div class="widget_wrap">',
	'after_widget'  => '</div></div>',
	'before_title'  => '<h3 class="widgettitle">',
	'after_title'   => '</h3>'
	));

	register_sidebar(array(
	'name'          => __('Footer Widgets', 'osiris'),
	'id'            => 'foot_sidebar',
	'description'   => __('Widget Area for the Footer', 'osiris'),
	'before_widget' => '<div id="%1$s" class="widget %2$s"><div class="widget_wrap">',
	'after_widget'  => '</div></div>',
	'before_title'  => '<h3 class="widgettitle">',
	'after_title'   => '</h3>'
	));


register_sidebar(array(
        'name' => __('Home Page Services', 'osiris'),
        'description' => __('This widget area is designed to display up to 4 services widgets.', 'osiris'),
        'id' => 'homepage-sidebar',
        'before_widget' => '<div id="%1$s" class="  %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h4>',
        'after_title' => '</h4>'
    ));

 //Register widgets
    register_widget( 'osiris_contact_widget' );
    register_widget( 'osiris_recent_widget' );
    register_widget( 'osiris_services_widget' );



}

add_action( 'widgets_init', 'osiris_widgets_init' );

include(get_template_directory() . "/lib/recent-posts-widget.php");
include(get_template_directory() . "/lib/contact-widget.php");
include(get_template_directory() . "/lib/services-widget.php");






//**************Osiris SETUP******************//
function osiris_setup() {
//Custom Background
add_theme_support( 'custom-background', array(
	'default-color' => '',
	'default-image' => get_template_directory_uri() . ''
) );

add_theme_support('automatic-feed-links');

//Post Thumbnail
   add_theme_support( 'post-thumbnails' );


//Register Menus
	register_nav_menus( array(
		'primary' => __( 'Primary Navigation', 'osiris' ),
		'footer' => __( 'Footer Navigation', 'osiris' )
	) );

 // Enables post and comment RSS feed links to head
    add_theme_support('automatic-feed-links');

add_theme_support( "title-tag" );



/*
 * Loads the Options Panel
 */
	/* Set the file path based on whether we're in a child theme or parent theme */

	if ( get_stylesheet_directory() == get_template_directory_uri() ) {
		define('OPTIONS_FRAMEWORK_URL', get_template_directory() . '/admin/');
		define('OPTIONS_FRAMEWORK_DIRECTORY', get_template_directory_uri() . '/admin/');
	} else {
		define('OPTIONS_FRAMEWORK_URL', get_stylesheet_directory() . '/admin/');
		define('OPTIONS_FRAMEWORK_DIRECTORY', get_stylesheet_directory_uri() . '/admin/');
	}

require_once (OPTIONS_FRAMEWORK_URL . 'options-framework.php');



}
add_action( 'after_setup_theme', 'osiris_setup' );


?>
<?php
