<?php
/**
 * Plugin Name: Contact Widget
 */

class osiris_contact_widget extends WP_Widget {

	/**
	 * Widget setup.
	 */
	function osiris_contact_widget() {
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'osiris_contact_widget', 'description' => __('Displays conatct info with icons', 'osiris') );

		/* Widget control settings. */
		$control_ops = array( 'width' => 250, 'height' => 350, 'id_base' => 'osiris_contact_widget' );

		/* Create the widget. */
		$this->WP_Widget( 'osiris_contact_widget', __('osiris: Contact widget', 'osiris'), $widget_ops, $control_ops );
	}

	/**
	 * How to display the widget on the screen.
	 */
	function widget( $args, $instance ) {
		extract( $args );

		/* Our variables from the widget settings. */
        $title = $instance['title'];
		$address = $instance['address'];
		$phone = $instance['phone'];
		$email = $instance['email'];


        /* Before widget (defined by themes). */
		echo $before_widget;
		?>

        
            <h3 class="widgettitle"><?php echo $title; ?></h3>
            <ul>
                <li>
                    <i class="icon-home"></i>
                    <a><?php _e('Address','osiris'); ?>:</b> <?php echo $address; ?></a>
                </li>
                <li>
                    <i class="icon-phone"></i>
                    <a><?php _e('Phone','osiris'); ?>:</b> <?php echo $phone; ?></a>
                </li>
                <li>
                    <i class="icon-envelope-alt"></i>
                    <a><?php _e('Email','osiris'); ?>:</a> <a href="mailto:<?php echo $email; ?>"></a><a><?php echo $email; ?></a>
                </li>
            </ul>
        </div>
        
		<?php
        /* Before widget (defined by themes). */
		echo $after_widget;
	}

	/**
	 * Update the widget settings.
	 */
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		/* Strip tags for title and name to remove HTML (important for text inputs). */
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['address'] = strip_tags( $new_instance['address'] );
		$instance['phone'] = strip_tags( $new_instance['phone'] );
		$instance['email'] = strip_tags( $new_instance['email'] );
		return $instance;
	}


	function form( $instance ) {

		/* Set up some default widget settings. */
		$defaults = array('title' => __('Contact','osiris'), 'address' => '', 'phone' => '', 'email' => '' );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>
		
		<!-- Widget Title -->
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title','osiris') ?>:</label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:90%;" />
		</p>
		<!-- Addres -->
		<p>
			<label for="<?php echo $this->get_field_id( 'address' ); ?>"><?php _e('Address','osiris') ?>:</label>
			<input id="<?php echo $this->get_field_id( 'address' ); ?>" name="<?php echo $this->get_field_name( 'address' ); ?>" value="<?php echo $instance['address']; ?>" style="width:90%;" />
		</p>
		<!-- Phone -->
		<p>
			<label for="<?php echo $this->get_field_id( 'phone' ); ?>"><?php _e('Phone','osiris') ?>:</label>
			<input id="<?php echo $this->get_field_id( 'phone' ); ?>" name="<?php echo $this->get_field_name( 'phone' ); ?>" value="<?php echo $instance['phone']; ?>" style="width:90%;" />
		</p>
		<!-- Email -->
		<p>
			<label for="<?php echo $this->get_field_id( 'email' ); ?>"><?php _e('Email','osiris') ?>:</label>
			<input id="<?php echo $this->get_field_id( 'email' ); ?>" name="<?php echo $this->get_field_name( 'email' ); ?>" value="<?php echo $instance['email']; ?>" style="width:90%;" />
		</p>        
	<?php
	}
}

?>